## AsAgreementSection AsAgreementSection — Object representing a agreement section |

## Stability Level

Unstable, unless otherwise indicated

## Functions

AsAgreementSection * | as_agreement_section_new ()
const gchar * | as_agreement_section_get_kind ()
void | as_agreement_section_set_kind ()
const gchar * | as_agreement_section_get_name ()
void | as_agreement_section_set_name ()
const gchar * | as_agreement_section_get_description ()
void | as_agreement_section_set_description ()
const gchar * | as_agreement_section_get_active_locale ()
void | as_agreement_section_set_active_locale ()

## Types and Values

#define | AS_TYPE_AGREEMENT_SECTION
struct | AsAgreementSectionClass
| AsAgreementSection

## Includes

    #include <appstream.h>

## Description

Agreements are typically split up into sections. This class describes one agreement section.

See also: AsAgreement

## Functions

### as_agreement_section_new ()

    AsAgreementSection *
    as_agreement_section_new (void);

Creates a new AsAgreementSection.

#### Returns

a AsAgreementSection.

[transfer full]

Since: 0.12.1

### as_agreement_section_get_kind ()

    const gchar *
    as_agreement_section_get_kind (AsAgreementSection *agreement_section);

Gets the agreement section kind.

#### Parameters

agreement_section | a AsAgreementSection instance. |

#### Returns

a string, e.g. "GDPR", or NULL

Since: 0.12.1

### as_agreement_section_set_kind ()

    void
    as_agreement_section_set_kind (AsAgreementSection *agreement_section,
                                   const gchar *kind);

Sets the agreement section kind.

#### Parameters

agreement_section | a AsAgreementSection instance. |
kind | the agreement kind, e.g. "GDPR" |

Since: 0.12.1

### as_agreement_section_get_name ()

    const gchar *
    as_agreement_section_get_name (AsAgreementSection *agreement_section);

Gets the agreement section name.

#### Parameters

agreement_section | a AsAgreementSection instance. |

#### Returns

a string, e.g. "GDPR", or NULL

Since: 0.12.1

### as_agreement_section_set_name ()

    void
    as_agreement_section_set_name (AsAgreementSection *agreement_section,
                                   const gchar *name,
                                   const gchar *locale);

Sets the agreement section name.

#### Parameters

agreement_section | a AsAgreementSection instance. |
name | the agreement name, e.g. "GDPR" |
locale | the locale. e.g. "en_GB". | [nullable]

Since: 0.12.1

### as_agreement_section_get_description ()

    const gchar *
    as_agreement_section_get_description (AsAgreementSection *agreement_section);

Gets the agreement section desc.

#### Parameters

agreement_section | a AsAgreementSection instance. |

#### Returns

a string, e.g. "GDPR", or NULL

Since: 0.12.1

### as_agreement_section_set_description ()

    void
    as_agreement_section_set_description (AsAgreementSection *agreement_section,
                                          const gchar *desc,
                                          const gchar *locale);

Sets the agreement section desc.

#### Parameters

agreement_section | a AsAgreementSection instance. |
locale | the locale. e.g. "en_GB". | [nullable]
desc | the agreement description, e.g. "GDPR" |

Since: 0.12.1

### as_agreement_section_get_active_locale ()

    const gchar *
    as_agreement_section_get_active_locale
                                   (AsAgreementSection *agreement_section);

Get the current active locale, which is used to get localized messages.

### as_agreement_section_set_active_locale ()

    void
    as_agreement_section_set_active_locale
                                   (AsAgreementSection *agreement_section,
                                    const gchar *locale);

Set the current active locale, which is used to get localized messages.

## Types and Values

### AS_TYPE_AGREEMENT_SECTION

    #define AS_TYPE_AGREEMENT_SECTION (as_agreement_section_get_type ())

### struct AsAgreementSectionClass

    struct AsAgreementSectionClass {
    	GObjectClass		parent_class;
    };

### AsAgreementSection

    typedef struct _AsAgreementSection AsAgreementSection;